## org.eclipse.emf.cdo.ui.widgets
Class AuditScale

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      org.eclipse.emf.cdo.ui.widgets.AuditScale

All Implemented Interfaces:
  Drawable

Deprecated.

    @Deprecated
    public class AuditScale

extends Composite

Since:
  2.0

Field Summary

Fields inherited from class org.eclipse.swt.widgets.Composite
`embeddedHandle`

Fields inherited from class org.eclipse.swt.widgets.Widget
`handle`

Constructor Summary
`AuditScale(Composite parent, int scaleStyle)` Deprecated.

Method Summary
`protected Scale` `createScale(int style)` Deprecated.
`int` `getOrientation()` Deprecated.
`Scale` `getScale()` Deprecated.
`int` `getScaleStyle()` Deprecated.
`static void` `main(java.lang.String[] args)` Deprecated.
`void` `setBounds(int x, int y, int width, int height)` Deprecated.

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, checkSubclass, computeSize, getBackgroundMode, getChildren, getClientArea, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getBorderWidth, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBounds, getCursor, getData, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getRegion, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setRegion, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuditScale

    public AuditScale(Composite parent,
                      int scaleStyle)

  Deprecated.

Method Detail

### getOrientation

    public int getOrientation()

  Deprecated.

### getScaleStyle

    public int getScaleStyle()

  Deprecated.

### getScale

    public Scale getScale()

  Deprecated.

### createScale

    protected Scale createScale(int style)

  Deprecated.

### setBounds

    public void setBounds(int x,
                          int y,
                          int width,
                          int height)

  Deprecated.
  Overrides:
    `setBounds` in class `Control`

### main

    public static void main(java.lang.String[] args)

  Deprecated.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.